Ticket #3772 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

SNS参加時の管理者承認制

Reported by: BW Assigned to: urabe
Priority: major Milestone: OpenPNE2.13.8
Component: 指定しない Version:
Keywords: Cc:

Description (Last modified by kudo)

■概要

  • 現状、ユーザの登録処理のみでSNSへの参加が可能なので、管理者に参加依頼者の承認/否認を行えるようにする。

■仕様

  • 管理者画面(SNS設定)にて、承認制にするか否かの設定を行えるようにする
  • 管理画面にて承認・否認を行えるようにする
  • 承認制の場合、メンバー情報登録後、承認待ちリストに追加する。

■修正内容

(1) DB修正内容
登録中メンバーテーブル[c_member_pre]に、以下のフィールドを追加する
    is_sns_entry_confirm = 1 : 管理者の承認待ち
                           0 : メンバー情報登録中(承認依頼対象外)

デフォルト          ・・・ 0
新規インストール時    ・・・ 0
新規コミュニティ作成時 ・・・ 0
従来からのアップグレード・・ 0

(2) SQL文
// upgrade
ALTER TABLE c_member_pre ADD COLUMN is_sns_entry_confirm tinyint(1) NOT NULL default '0';

(3) 修正内容
< 管理者 >
・SNS設定画面に、「参加承認制」のフラグを追加する
・「メンバーリスト」タブに、「承認待ちリスト」ページを新設する
・「承認待ちリスト」から承認を行った際に、登録者へ登録完了メールを送信する

< 参加依頼者 >
・「参加承認制」のフラグが立っている場合、メンバーの登録完了後、管理者の承認待ちリストに登録される

(4) その他
・承認方式がslavepneの場合、承認制にはならない
・管理者にて「承認」とされた場合、登録者へメール完了通知を送信するが、「否認」の場合、メール通知は行わない

(5) 懸念事項
携帯アドレス登録時、携帯個体識別番号のチェックを行っているが、従来通り[c_member_secure]のみしか対象としていない。
[c_member_pre]も対象とすべきかどうか、検討の必要あり。
また、承認方式がpneidの場合、LoginIDの重複チェックを行っているが、
これも従来伊通り[c_member]のみしか対象としていないため、
[c_member_pre]も対象とすべきかどうか、検討の必要あり。

(6) ソース
OpenPNE2.13.6ベースで作成

■関連情報

#3898:SNS参加時の管理者承認制 コードチェック

Change History

04/02/09 13:56:54 changed by BW

04/15/09 13:59:08 changed by kiwa

  • milestone set to OpenPNE2.13.8.

ありがとうございます!!2.13.8で取り込み検討しましょう。

04/15/09 14:35:15 changed by kiwa

  • priority changed from minor to major.

04/17/09 17:57:32 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

04/17/09 21:26:06 changed by urabe

  • keywords set to 確認中.

r11350 でトランクにマージしました。

04/28/09 15:26:13 changed by kawahara

r11516

アップデートSQLのファイル名の連番・バージョンを変更しました。

04/30/09 15:57:09 changed by kudo

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

#3898:SNS参加時の管理者承認制 コードチェック

上のチケットでコードチェックを行います。

動作テストをしたところ正常に動作しているようなので閉じます。

05/25/09 10:56:24 changed by kudo

  • description changed.